org.keycloak.services.clientpolicy.executor

## Class SecureClientAuthEnforceExecutor.Configuration

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorConfiguration
  - - org.keycloak.services.clientpolicy.executor.SecureClientAuthEnforceExecutor.Configuration

- Enclosing class:
    SecureClientAuthEnforceExecutor

      public static class SecureClientAuthEnforceExecutor.Configuration
      extends ClientPolicyExecutorConfiguration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `augment`
    `protected List<String>` | `clientAuthns`
    `protected String` | `clientAuthnsAugment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getClientAuthns()`
    `String` | `getClientAuthnsAugment()`
    `Boolean` | `isAugment()`
    `void` | `setAugment(Boolean augment)`
    `void` | `setClientAuthns(List<String> clientAuthns)`
    `void` | `setClientAuthnsAugment(String clientAuthnsAugment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientAuthns

          protected List<String> clientAuthns

    - #### clientAuthnsAugment

          protected String clientAuthnsAugment

    - #### augment

          protected Boolean augment

  - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### getClientAuthns

          public List<String> getClientAuthns()

    - #### setClientAuthns

          public void setClientAuthns(List<String> clientAuthns)

    - #### getClientAuthnsAugment

          public String getClientAuthnsAugment()

    - #### setClientAuthnsAugment

          public void setClientAuthnsAugment(String clientAuthnsAugment)

    - #### isAugment

          public Boolean isAugment()

    - #### setAugment

          public void setAugment(Boolean augment)

Copyright © 2021 JBoss by Red Hat. All rights reserved.